View Issue Details

IDProjectCategoryView StatusLast Update
0001974XdebugTracingpublic2021-09-05 16:15
Reportervideoice Assigned Toderick  
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.4 
Target Version3.1devFixed in Version3.1.0beta1 
Summary0001974: Add gzip support to trace files
DescriptionTracing and other output produce GBs of data for larger projects but the output is highly compressible.

Add an option to enable gzip compression. It can actually improve the run time on slow IO enviroments.
TagsNo tags attached.
Operating System
PHP Version8.0.0-8.0.4

Activities

derick

2021-05-19 12:44

administrator   ~0005881

Profile files already support gzip in master through 0001853

derick

2021-08-20 13:55

administrator   ~0005990

https://github.com/xdebug/xdebug/pull/772

Issue History

Date Modified Username Field Change
2021-05-17 00:05 videoice New Issue
2021-05-19 12:44 derick Severity major => feature
2021-05-19 12:44 derick Summary All file outputs must support gzip => Add gzip support to trace files
2021-05-19 12:44 derick Note Added: 0005881
2021-08-06 17:34 derick Target Version => 3.2dev
2021-08-07 10:04 derick Status new => acknowledged
2021-08-15 23:33 derick Target Version 3.2dev => 3.1dev
2021-08-20 13:55 derick Assigned To => derick
2021-08-20 13:55 derick Status acknowledged => closed
2021-08-20 13:55 derick Resolution open => fixed
2021-08-20 13:55 derick Fixed in Version => 3.1dev
2021-08-20 13:55 derick Note Added: 0005990
2021-09-05 16:15 derick Fixed in Version 3.1dev => 3.1.0beta1